Start behavior profile build

Starts a build of the specified behavior profile. The build runs as an asynchronous job.

Required Permissions

Requires the ADMIN role or higher.

HTTP Request

POST /api/sonar/behavior-profiles/:guid/build
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     -X POST \
     https://HOSTNAME/api/sonar/behavior-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/build
Request Parameters
Path Parameters
KeyTypeDescriptionNotes
guidStringBehavior profile identifier36 characters

Success Response

{}

Error Responses

guid is missing

HTTP status code 400

{
  "error_code": "null-argument",
  "error_msg": "guid should be not null"
}
Behavior profile does not exist

HTTP status code 500

{
  "error_code": "profile-not-found",
  "error_msg": "profile-not-found"
}
Permission denied

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}